package pack

import (
	"github.com/caixw/lib.go/conv"
	"youngee_m_api/model/common_model"
	"youngee_m_api/model/http_model"
)

func HttpTaskLogisticsListRequestToCondition(req *http_model.TaskLogisticsListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:        conv.MustInt64(req.ProjectId, 0),
		LogisticsStatus:  conv.MustInt64(req.LogisticsStatus, 0),
		StrategyIds:      conv.MustString(req.StrategyId, ""),
		TaskId:           conv.MustString(req.TaskId, ""),
		PlatformNickname: conv.MustString(req.PlatformNickname, ""),
	}
}
